CVE-2004-2159
CVSS10.0
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:43:21
NMCO    

[原文]Multiple buffer overflows in XMLStarlet Command Line XML Toolkit 0.9.3 have unknown impact and attack vectors via (1) xml_elem.c and (2) xml_select.c.


[CNNVD]XMLStarlet命令行XML工具包多个未明缓冲区溢出漏洞(CNNVD-200412-828)

        XMLStarlet命令行XML工具包0.9.3版本存在多个缓冲区溢出漏洞。该漏洞可以借助(1) xml_elem.c和(2) xml_select.c导致未知影响和攻击攻击。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2159
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2159
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-828
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/17580
(PATCH)  XF  xmlstarlet-bo(17580)
http://www.securityfocus.com/bid/11270
(PATCH)  BID  11270
http://www.osvdb.org/10074
(PATCH)  OSVDB  10074
http://sourceforge.net/project/shownotes.php?release_id=268962
(PATCH)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=268962
http://securitytracker.com/id?1011496
(PATCH)  SECTRACK  1011496

- 漏洞信息

XMLStarlet命令行XML工具包多个未明缓冲区溢出漏洞
危急 缓冲区溢出
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        XMLStarlet命令行XML工具包0.9.3版本存在多个缓冲区溢出漏洞。该漏洞可以借助(1) xml_elem.c和(2) xml_select.c导致未知影响和攻击攻击。

- 公告与补丁

        The vendor has released an upgrade dealing with this issue.
        XMLStarlet Command Line XML Toolkit 0.9.3
        

- 漏洞信息

10074
XMLStarlet Multiple Unspecified Overflows
Location Unknown Input Manipulation
Loss of Integrity, Loss of Availability
Exploit Unknown

- 漏洞描述

XMLStartlet contains multiple non-descript buffer overflows which may cause a denial of service or arbitrary command execution. No further details are provided.

- 时间线

2004-09-19 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.9.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站